HVideoComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HVideoComponent

    java.lang.Object
      java.awt.Component
          org.havi.ui.HComponent
              org.havi.ui.HVideoComponent

All Implemented Interfaces:
  ImageObserver, Serializable, TestOpacity, HMatteLayer

    public class HVideoComponent

extends HComponent

`HVideoComponent` is an opaque class encapsulating the presentation of a video source within an application, i.e. contained within a conventional AWT hierarchy.

An `HVideoComponent` obeys all conventional java.awt.Component semantics, including being clipped by its parent container, etc. An `HVideoComponent` also obeys all `HComponent` semantics including Z-ordering, etc.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`void` | `addOnScreenLocationModifiedListener(HScreenLocationModifiedListener slml)` Register a listener to determine if the Component's on-screen location is modified - irrespective of its relative location to its parent Container.
`HVideoDevice` | `getVideoDevice()` Returns the `HVideoDevice` that this `HVideoComponent` is associated with.
`void` | `removeOnScreenLocationModifiedListener(HScreenLocationModifiedListener slml)` Remove a listener that determines if the Component's on-screen location is modified - irrespective of its relative location to its parent Container.

Methods inherited from class org.havi.ui.HComponent
`getMatte, isDoubleBuffered, isEnabled, isOpaque, setEnabled, setMatte`

Methods inherited from class java.awt.Component
`addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, areFocusTraversalKeysSet, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, doLayout, enableInputMethods, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getCursor, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPreferredSize, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, hasFocus, imageUpdate, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, list, list, list, list, list, paint, paintAll, prepareImage, prepareImage, print, printAll, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, setBackground, setBounds, setBounds, setCursor, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, update, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getVideoDevice

    public HVideoDevice getVideoDevice()

  Returns the `HVideoDevice` that this `HVideoComponent` is associated with.

  Returns:
    the `HVideoDevice` that this `HVideoComponent` is associated with, or null if this cannot be determined.

### addOnScreenLocationModifiedListener

    public void addOnScreenLocationModifiedListener(HScreenLocationModifiedListener slml)

  Register a listener to determine if the Component's on-screen location is modified - irrespective of its relative location to its parent Container. If the listener has already been added further calls will add further references to the listener, which will then receive multiple copies of a single event.

  Parameters:
    `slml` - listener to be notified when the on-screen location of the component is modified.

### removeOnScreenLocationModifiedListener

    public void removeOnScreenLocationModifiedListener(HScreenLocationModifiedListener slml)

  Remove a listener that determines if the Component's on-screen location is modified - irrespective of its relative location to its parent Container. If the specified listener is not registered, the method has no effect. If multiple references to a single listener have been registered it should be noted that this method will only remove one reference per call.

  Parameters:
    `slml` - listener to be notified when the on-screen location of the component is modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD